*$ CREATE UESDRL.FOR
*COPY UESDRL
*
*=== Uesdrl ===========================================================*
*
      DOUBLE PRECISION FUNCTION UESDRL ( UDCDRB, VDCDRB, WDCDRB, BKDCDC,
     &                                   IDCDCB )

      INCLUDE '(DBLPRC)'
      INCLUDE '(DIMPAR)'
      INCLUDE '(IOUNIT)'
*
*----------------------------------------------------------------------*
*                                                                      *
*     Copyright (C) 2016-2016      by          Alfredo Ferrari         *
*     All Rights Reserved.                                             *
*                                                                      *
*                                                                      *
*     User defined Elastic Scattering DiRection biasing and Lamda:     *
*                                                                      *
*     Created on   08 April 2016   by          Alfredo Ferrari         *
*                                                CERN - EN             *
*                                                                      *
*     Last change on  10-Apr-16    by    Alfredo Ferrari               *
*                                                                      *
*     Input variables:                                                 *
*                                                                      *
*     Output variables:                                                *
*                                                                      *
*              Udcdrl = Lamda for direction biasing (1-cos(theta))     *
*          U,V,Wdcdrb = preferential outgoing direction for the pro-   *
*                       jectile                                        *
*              Bkdcdc = isotropic background probability               *
*              Idcdcb = algorithm index for direction biasing          *
*                       (0=exponential, 1=1/[1+(x/lamda)^2])           *
*                                                                      *
*                                                                      *
*----------------------------------------------------------------------*
*
      INCLUDE '(TRACKR)'
*
      UDCDRB = ZERZER
      VDCDRB = ZERZER
      WDCDRB = ONEONE
      UESDRL = ONEFOU
      BKDCDC = ZERZER
      IDCDCB = 0
*
      RETURN
*=== End of subroutine Uesdrl =========================================*
      END

